Bug 13434 - 586 XSLT improvements
Summary: 586 XSLT improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344
  Show dependency treegraph
 
Reported: 2014-12-10 21:27 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13434 - RDA: 586 field changes in XSLT (2.74 KB, patch)
2015-03-11 14:52 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Updated display for 586 in XSLT (2.82 KB, patch)
2015-04-08 22:30 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Updated display for 586 in XSLT (2.86 KB, patch)
2015-04-17 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13434 - Updated display for 586 in XSLT (2.87 KB, patch)
2015-04-17 15:23 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-10 21:27:00 UTC
586: Continue to display as Awards, but also use vertical bar to separate multiple listings if there is more than one 586 in the record
Ex: Awards: Man Booker Prize, 2013 | BAILEYS Women's Prize for Fiction, Longlist, 2014
Comment 1 Winona Salesky 2015-03-11 14:52:05 UTC Comment hidden (obsolete)
Comment 2 Winona Salesky 2015-03-19 16:46:38 UTC
Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 586
4) Perform an opac search that would show the record in the search results
5) Note the fields uses a vertical bar to separate multiple titles. Vertical bar is wrapped in span class="separator" for easy suppression/customization of separator. 
6) Repeat steps 4 and 5 for the staff interface
Comment 3 Nick Clemens 2015-04-08 22:30:05 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2015-04-08 22:30:39 UTC
Separation and display look good so signing off, but I have some questions that I am leaving for QA:

1 - Before this patch the awards displayed in the description tab only on staff-client, and both in detail view and description tab on opac.  I am thinking if we are going to display on the details page we should remove from description tab on both staff/opac - maybe out of scope.

2 - indicator 1 is supposed to control generation of display content "Awards:"  (display if blank, dont if =8) and it does if all =8, but with multiple fields and a mix of =8 or =# you always get the "Awards:" I don't know if it would be worth splitting them into two display sections based on the indicator or if it isn't a big deal

(In reply to Winona Salesky from comment #2)
> Test Plan:
> 1) Apply this patch
> 2) Ensure you are using the default XSLT setting for the staff and opac
> search results and record details
> 3) Find or create a record with MARC tags 586
> 4) Perform an opac search that would show the record in the search results
> 5) Note the fields uses a vertical bar to separate multiple titles. Vertical
> bar is wrapped in span class="separator" for easy suppression/customization
> of separator. 
> 6) Repeat steps 4 and 5 for the staff interface
Comment 5 Nicole C. Engard 2015-04-14 13:59:52 UTC
(In reply to Nick Clemens from comment #4)
> Separation and display look good so signing off, but I have some questions
> that I am leaving for QA:
> 
> 1 - Before this patch the awards displayed in the description tab only on
> staff-client, and both in detail view and description tab on opac.  I am
> thinking if we are going to display on the details page we should remove
> from description tab on both staff/opac - maybe out of scope.

We have the summary in the title notes tab and above the holdings table and the table of contents as well. I think it's okay to leave and if you want to hide it from title notes you can do so using the system preference just for that.

> 
> 2 - indicator 1 is supposed to control generation of display content
> "Awards:"  (display if blank, dont if =8) and it does if all =8, but with
> multiple fields and a mix of =8 or =# you always get the "Awards:" I don't
> know if it would be worth splitting them into two display sections based on
> the indicator or if it isn't a big deal

This one I'm not sure about. I think we should follow MARC rules - but lots of times libraries don't follow MARC rules :)
Comment 6 rgravel 2015-04-16 15:00:20 UTC
Regarding 1: That sounds right to me, Nick. The redundancy of the contents and summary notes, for instance, drives me a little crazy personally, and so anything to avoid that appeals to me! I am in favor of leaving it only in the details and not in the notes tab. 

Regarding 2: I'm no expert on display constants, but I think these are for card/shelf-list printing, so I don't think that distinguishing ## from #8 is necessary, as they are all awards and the cataloger cannot supply a different label anyway. 

(In reply to Nick Clemens from comment #4)
> Separation and display look good so signing off, but I have some questions
> that I am leaving for QA:
> 
> 1 - Before this patch the awards displayed in the description tab only on
> staff-client, and both in detail view and description tab on opac.  I am
> thinking if we are going to display on the details page we should remove
> from description tab on both staff/opac - maybe out of scope.
> 
> 2 - indicator 1 is supposed to control generation of display content
> "Awards:"  (display if blank, dont if =8) and it does if all =8, but with
> multiple fields and a mix of =8 or =# you always get the "Awards:" I don't
> know if it would be worth splitting them into two display sections based on
> the indicator or if it isn't a big deal
Comment 7 Kyle M Hall 2015-04-17 15:15:05 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-04-17 15:23:19 UTC
Created attachment 38088 [details] [review]
[PASSED QA] Bug 13434 - Updated display for 586 in XSLT

http://bugs.koha-community.org/show_bug.cgi?id=13434
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-04-20 15:05:37 UTC
Patch pushed to master.

Thanks Winona! And congrats for your patch pushed!
Comment 10 Winona Salesky 2015-04-20 15:07:11 UTC
Great news! 
Thanks,
-Winona

(In reply to Tomás Cohen Arazi from comment #9)
> Patch pushed to master.
> 
> Thanks Winona! And congrats for your patch pushed!